Bug 137922 - From Start Center, Extensions button in Template choose does not show anything
Summary: From Start Center, Extensions button in Template choose does not show anything
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
: 138013 (view as bug list)
Depends on:
Blocks: Extension-Tight-Integration 137759
  Show dependency treegraph
 
Reported: 2020-11-01 22:46 UTC by Rizal Muttaqin
Modified: 2021-02-27 11:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Extension button in Template Chooser (81.50 KB, image/png)
2020-11-01 22:46 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-11-01 22:46:20 UTC
Created attachment 166914 [details]
Extension button in Template Chooser

Step to reproduce
1. Click File > New > Templates. A template dialog chooser will apears
2. Click on Extensions button in the bottom left

This button does not show anything. It should open Additions dialog with Templates as the content category.

Version: 7.1.0.0.alpha1+
Build ID: 5d51b8f5ac0a82c458f792c11985407a5eeb6fd5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-10-29_05:12:40
Calc: threaded
Comment 1 Heiko Tietze 2020-11-02 07:18:59 UTC
The dialog shows up for me but remains empty.

Console show the following after some certification info:
    Signature Algorithm: sha256WithRSAEncryption
...
ssl: Match common name 'yusufketen.com' against 'yusufketen.com'
Identity match for 'yusufketen.com': good
SSL certificate checks failed: Server certificate verification failed: issuer is not trusted
Request ends, status 0 class 0xx, error line:
Server certificate verification failed: issuer is not trusted
Running destroy hooks.
Request ends.
warn:ucb.ucp.webdav:26878:26951:ucb/source/ucp/webdav-neon/NeonSession.cxx:1839: Neon returned NE_ERROR, http response status code was: 0 'Server certificate verification failed: issuer is not trusted'
sess: Destroying session.
warn:cui.dialogs:26878:26950:cui/source/dialogs/AdditionsDialog.cxx:95: Reading <https://yusufketen.com/api/Templates.json> failed with 0x20d(Error Area:Io Class:General Code:13)
Comment 2 Stephan Bergmann 2020-11-02 08:47:00 UTC
(In reply to Heiko Tietze from comment #1)
> The dialog shows up for me but remains empty.

That part (which appears rather unrelated to the original issue in comment 0) should be addressed by <https://gerrit.libreoffice.org/c/core/+/105169> "Use SimpleFileAccessInteraction handler".
Comment 3 Stephan Bergmann 2020-11-02 16:20:29 UTC
(In reply to Rizal Muttaqin from comment #0)
> Created attachment 166914 [details]
> Extension button in Template Chooser
> 
> Step to reproduce
> 1. Click File > New > Templates. A template dialog chooser will apears
> 2. Click on Extensions button in the bottom left
> 
> This button does not show anything. It should open Additions dialog with
> Templates as the content category.

What you describe is when you do it from the Start Center?
Does it work when you do it from a Writer document?
Comment 4 Heiko Tietze 2020-11-04 06:18:14 UTC
Stephan, resolve this as fixed?
Comment 5 Stephan Bergmann 2020-11-04 07:52:40 UTC
(In reply to Heiko Tietze from comment #4)
> Stephan, resolve this as fixed?

No.

What comment 2 fixes is the issue described in comment 1, but which was apparently unrelated to this bug's original issue as described in comment 0 (which is "This button does not show anything.", not "The dialog shows up for me but remains empty.").

We are still waiting for the original bug reporter to clarify the questions in comment 3:

"What you describe is when you do it from the Start Center?
"Does it work when you do it from a Writer document?"
Comment 6 Rizal Muttaqin 2020-11-04 08:31:09 UTC
(In reply to Stephan Bergmann from comment #5)

> 
> "What you describe is when you do it from the Start Center?
> "Does it work when you do it from a Writer document?"

From Start Center, File > New > Templates and then click Extensions button, nothing show

From a active yet empty Writer document, File > New > Templates) show Addition dialog with title: Extensions: Template but empty content.


Version: 7.1.0.0.alpha1+
Build ID: d4892e5452bff155da6c34063ffe8c331284d8e9
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-11-02_12:38:23
Calc: threaded
Comment 7 Rizal Muttaqin 2020-11-04 08:32:38 UTC
(In reply to Stephan Bergmann from comment #3)
> (In reply to Rizal Muttaqin from comment #0)
> > Created attachment 166914 [details]
> > Extension button in Template Chooser
> > 
> > Step to reproduce
> > 1. Click File > New > Templates. A template dialog chooser will apears
> > 2. Click on Extensions button in the bottom left
> > 
> > This button does not show anything. It should open Additions dialog with
> > Templates as the content category.
> 
> What you describe is when you do it from the Start Center?
> Does it work when you do it from a Writer document?

Yes, it _was_ from the Start Center
Comment 8 Stephan Bergmann 2020-11-04 08:52:23 UTC
(In reply to Rizal Muttaqin from comment #6)
> From Start Center, File > New > Templates and then click Extensions button,
> nothing show

That matches my observations.  (Looks like dispatching .uno:AdditionsDialog silently does nothing at least in the Start Center.)

> From a active yet empty Writer document, File > New > Templates) show
> Addition dialog with title: Extensions: Template but empty content.

That matches my observations too.  (With "but empty content" fixed by comment 2).
Comment 9 Stephan Bergmann 2020-11-04 14:46:29 UTC
* The button at "Tools - Options... - LibreOffice - View - Icon style" is similarly affected (and I think there is even more places where such buttons dispatching .uno:AdditionsDialog have been added.

* I guess a fix for this bug should also update or augment sw/qa/uitest/options/optionsDialog.py test_moreIconsDialog from <https://gerrit.libreoffice.org/c/core/+/104641> "uitest: Check the more icons dialog opens", to test the Start Center instead of or in addition to a Writer document.
Comment 10 Heiko Tietze 2020-11-28 08:07:58 UTC
*** Bug 138013 has been marked as a duplicate of this bug. ***
Comment 11 Heiko Tietze 2020-11-28 08:08:51 UTC
Stephan fixed the issue
Comment 12 Stephan Bergmann 2020-11-30 09:24:12 UTC
(In reply to Heiko Tietze from comment #11)
> Stephan fixed the issue

Again, no, I have NOT fixed the original issue described in comment 0 and clarified in comment 6:  In the Start Center, "File - New - Templates... - Extensions" silently does nothing.  (See also comment 5.  I'm updating the subject now with "From Start Center, ...", to make it clear what this issue is actually about.)
Comment 13 Heiko Tietze 2020-12-06 07:24:17 UTC
Tentative solution by disabling the button but rejected as "band aid", see https://gerrit.libreoffice.org/c/core/+/105292
Comment 14 Petr Valach 2021-02-09 19:06:51 UTC
Agree with Stephan. Same behaviour in 7.1.0.3.
Button is active if user activates Option window from any application (for instance Writer) only.

Version: 7.1.0.3 / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 2; OS: Linux 5.4; UI render: GL; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 15 Commit Notification 2021-02-27 11:05:45 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63b0565ad137e5d81932f1fabba732ba40f6cb70

Resolves tdf#137922 - Tight extension in start center

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.